CoCoALib - Support #1481

Release CoCoALib 0.99800
28 Aug 2020 15:39 - John Abbott

Status: Closed Start date: 28 Aug 2020
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Various Estimated time: 5.50 hours
Target version: CoCoALib-0.99800 Spent time: 5.30 hours
Description

Everything related to making a CoCoALib release:

e o o o

Redmine Roadmap: close or postpone issue

Redmine Release issues: check percentages, check timings

Finalize

make veryclean; make (full make, with all tests and examples and CoCoA-5..)
cd src/tests/; make valgrind

cd src/CoCoA-5; make ManExamples (readline may truncate echo lines if too long)
cvs log -d ">2020-05-01" -S -N > LOG-CoCoA.ixt
~/shell-scripts/cocoalib-cvs-snapshot

upload examples

upload manual

update webpage

publish manual (arXiv? ResearchGate?)

close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoALib - Support #467: Keep CoCoALib web page up to date! All p... Closed 12 Mar 2014
Related to CoCoALib - Support #1452: Release CoCoALib-0.99710 Closed 30 Apr 2020
Related to CoCoALib - Support #1687: Release CoCoALib 0.99850 In Progress 13 Jun 2022
Related to CoCoALib - Support #1555: Software licence Closed 21 Dec 2020
Related to CoCoALib - Design #854: Function MakeTermOrd should be renamed Mak... Closed 24 Mar 2016
Related to CoCoALib - Support #1674: DocTeX.t2t missing several "index entries" Closed 17 Mar 2022
History

#1 - 28 Aug 2020 15:40 - John Abbott

Summary of main changes:

changed BigRat ctors: it is now possible to construct BigRat directly from an integer (but beware of incorrect BigRat(2/3) which does
compile...)

power now checks for overflow (so very large powers cannot be computed directly)

renamed FrobeniusNorm2 to FrobeniusNormSq

renamed HadamardBound to HadamardBoundSq (also extended to work over any ring)

revised semantics for Univariatelndetindex: now gives error if arg is constant poly

extlib libnormaliz must now be at least version 3.8.10

renamed (normaliz) Generators to TriangulationGenerators (following similar change in normaliz itself)
added new fns resultant and discriminant for univariate polys (previously only multivariate)

added new fns syz(const FreeModule& F, const std::vector<RingElem>& g)

added new fns FlattenByRows and FlattenByCols

added new fn interreduced (translated from CoCoA-5 by Julian Danner, cleaned by JAA)

added new fn CanonicalBasis

added new fns CertifyNotPower and StarRoot

added new fns factor_TrialDiv (changed from SmoothFactor) and factor_PollardRho; improved factor for Bigint
added new fn IsPowerOf2 for BigRat (previously only for Bigint)

renamed TensorMat to KroneckerProd

REJECTED idea of new fn PowerOfMinusOne (returns a long)

added new fns IsOne and IsMinusOne for Machinelnt

added new fn RingElemVec which reads a comma-separated list of RingElem inside square brackets
changed log: now requires arg to be positive (also more accurate for some BigRat values)

added new fn LogAbs equiv to log(abs(arg))
e corrected bug in exponent(BigRat), and also in FloatStr(BigRat)
e new file SparsePolyOps-vector which will collect functions on vectors of RingElem
¢ extended Machinelnt to accept long long args (probably not 100% robust!)

Add other new features as they appear...

#2 - 05 Feb 2022 20:30 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 16 Feb 2022 20:49 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 50 to 80

#4 - 18 Feb 2022 15:33 - Anna Maria Bigatti
- Related to Support #467: Keep CoCoALib web page up to date! All pages! added

#5 - 23 Feb 2022 11:39 - Anna Maria Bigatti
- Subject changed from Release CoCoALib 0.99720 to Release CoCoALib 0.99800
- Description updated

#6 - 07 Mar 2022 10:05 - Anna Maria Bigatti
- Related to Support #1452: Release CoCoALib-0.99710 added

#7 - 07 Mar 2022 10:05 - Anna Maria Bigatti

- Description updated

#8 - 07 Mar 2022 17:37 - Anna Maria Bigatti

- Description updated

#9 - 14 Mar 2022 17:02 - Anna Maria Bigatti

- Description updated

#10 - 25 Mar 2022 10:39 - Anna Maria Bigatti
- % Done changed from 80 to 90

All is done now, except publishing the documentation (I'm still investigating some technical issues related to txt2tags, causing broken links).

#11 - 13 Jun 2022 15:10 - John Abbott

Can we close this issue now? After all, 0.99800 has been released!

#12 - 30 Nov 2022 18:31 - Anna Maria Bigatti
- Status changed from Resolved to Closed
- Assignee set to Anna Maria Bigatti

- % Done changed from 90 to 100

Anna Maria Bigatti wrote:

All is done now, except publishing the documentation (I'm still investigating some technical issues related to txt2tags, causing broken links).
postponed to next release (#1662)

#13 - 30 Nov 2022 18:31 - Anna Maria Bigatti
- Estimated time set to 5.50 h

#14 - 28 Mar 2024 15:29 - Anna Maria Bigatti
- Related to Support #1687: Release CoCoALib 0.99850 added

#15 - 28 Mar 2024 16:00 - Anna Maria Bigatti
- Related to Design #854: Function MakeTermOrd should be renamed Make TermOrdMat? added

#16 - 28 Mar 2024 16:05 - Anna Maria Bigatti
- Related to deleted (Design #854: Function Make TermOrd should be renamed Make TermOrdMat?)

#17 - 28 Mar 2024 16:10 - Anna Maria Bigatti
- Related to Support #1555: Software licence added

#18 - 28 Mar 2024 16:22 - Anna Maria Bigatti
- Related to Design #854: Function MakeTermOrd should be renamed Make TermOrdMat? added

#19 - 28 Mar 2024 16:30 - Anna Maria Bigatti
- Related to Support #1674: DocTeX.t2t missing several "index entries" added
https://cocoa.dima.unige.it/redmine/issues/1662
http://www.tcpdf.org

